diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 65dd6e9..9da1de8 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -5890,7 +5890,7 @@ ChangeOfVariable(F, UP, UPUP): Exports == Implementation where
     good?       : (F, UP, UP)    -> Boolean
     infIntegral?: (UPUP, UPUP)   -> Boolean
 
-    eval(p, x, y)  == map(#1 x, p)  monomial(y, 1)
+    eval(p, x, y)  == map(s +-> s(x), p)  monomial(y, 1)
     good?(a, p, q) == p(a) ^= 0 and q(a) ^= 0
 
     algPoly p ==
@@ -5916,7 +5916,7 @@ ChangeOfVariable(F, UP, UPUP): Exports == Implementation where
       infIntegral?(f1, r1.poly) =>
         [f1, r1.poly, monomial(1,1)$UP :: RF,r1inv,degree(retract(r1.coef)@UP)]
       x  := (a:= goodPoint(f1,r1.poly))::UP::RF + inv(monomial(1,1)::RF)
-      r2c:= retract((r2 := mkIntegral map(#1 x, r1.poly)).coef)@UP
+      r2c:= retract((r2 := mkIntegral map(s+->s(x), r1.poly)).coef)@UP
       t  := inv((monomial(1, 1)$UP - a::UP)::RF)
       [- inv(monomial(1, 2)$UP :: RF) * eval(f1, x, inv(r2.coef)),
                                 r2.poly, t, r1.coef * r2c t, degree r2c]
diff --git a/changelog b/changelog
index 22adc20..da619a1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.03.tpd.patch
+20090511 tpd books/bookvol10.4 CHVAR +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.02.tpd.patch
 20090511 tpd books/bookvol10.3 EXPR +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4bc478f..5194a42 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1218,5 +1218,7 @@ bookvol10.4 BOUNDZRO +-> conversion<br/>
 bookvol10.2 FS +-> conversion<br/>
 <a href="patches/20090511.02.tpd.patch">20090511.02.tpd.patch</a>
 bookvol10.3 EXPR +-> conversion<br/>
+<a href="patches/20090511.03.tpd.patch">20090511.03.tpd.patch</a>
+bookvol10.4 CHVAR +-> conversion<br/>
  </body>
 </html>
